Bullet Collision Detection & Physics Library: btSoftBody::Joint Struct Reference

Bullet Collision Detection & Physics Library

Classes | Public Member Functions | Public Attributes | List of all members
btSoftBody::Joint Struct Referenceabstract

`#include <btSoftBody.h>`

Inheritance diagram for btSoftBody::Joint:
[legend]
Collaboration diagram for btSoftBody::Joint:
[legend]

## Classes
struct | eType
struct | Specs

## Public Member Functions
virtual | ~Joint ()
| Joint ()
virtual void | Prepare (btScalar dt, int iterations)
virtual void | Solve (btScalar dt, btScalar sor)=0
virtual void | Terminate (btScalar dt)=0
virtual eType::_ | Type () const =0

## Public Attributes
Body | m_bodies [2]
btVector3 | m_refs [2]
btScalar | m_cfm
btScalar | m_erp
btScalar | m_split
btVector3 | m_drift
btVector3 | m_sdrift
btMatrix3x3 | m_massmatrix
bool | m_delete

## Detailed Description

Definition at line 620 of file btSoftBody.h.

## Constructor & Destructor Documentation

## ◆ ~Joint()

virtual btSoftBody::Joint::~Joint | ( |  | ) |
| inlinevirtual

Definition at line 647 of file btSoftBody.h.

## ◆ Joint()

btSoftBody::Joint::Joint | ( |  | ) |
| inline

Definition at line 648 of file btSoftBody.h.

## Member Function Documentation

## ◆ Prepare()

void btSoftBody::Joint::Prepare | ( | btScalar | dt,
|  | int | iterations )
| virtual

Reimplemented in btSoftBody::AJoint, btSoftBody::CJoint, and btSoftBody::LJoint.

Definition at line 3580 of file btSoftBody.cpp.

## ◆ Solve()

virtual void btSoftBody::Joint::Solve | ( | btScalar | dt,
|  | btScalar | sor )
| pure virtual

Implemented in btSoftBody::AJoint, btSoftBody::CJoint, and btSoftBody::LJoint.

## ◆ Terminate()

virtual void btSoftBody::Joint::Terminate | ( | btScalar | dt | ) |
| pure virtual

Implemented in btSoftBody::AJoint, btSoftBody::CJoint, and btSoftBody::LJoint.

## ◆ Type()

virtual eType::_ btSoftBody::Joint::Type | ( |  | ) | const
| pure virtual

Implemented in btSoftBody::AJoint, btSoftBody::CJoint, and btSoftBody::LJoint.

## Member Data Documentation

## ◆ m_bodies

Body btSoftBody::Joint::m_bodies[2]

Definition at line 638 of file btSoftBody.h.

## ◆ m_cfm

btScalar btSoftBody::Joint::m_cfm

Definition at line 640 of file btSoftBody.h.

## ◆ m_delete

bool btSoftBody::Joint::m_delete

Definition at line 646 of file btSoftBody.h.

## ◆ m_drift

btVector3 btSoftBody::Joint::m_drift

Definition at line 643 of file btSoftBody.h.

## ◆ m_erp

btScalar btSoftBody::Joint::m_erp

Definition at line 641 of file btSoftBody.h.

## ◆ m_massmatrix

btMatrix3x3 btSoftBody::Joint::m_massmatrix

Definition at line 645 of file btSoftBody.h.

## ◆ m_refs

btVector3 btSoftBody::Joint::m_refs[2]

Definition at line 639 of file btSoftBody.h.

## ◆ m_sdrift

btVector3 btSoftBody::Joint::m_sdrift

Definition at line 644 of file btSoftBody.h.

## ◆ m_split

btScalar btSoftBody::Joint::m_split

Definition at line 642 of file btSoftBody.h.

The documentation for this struct was generated from the following files:

- btSoftBody.h
- btSoftBody.cpp